RESTinio

Protected Member Functions | Private Attributes | List of all members
restinio::impl::socket_supplier_t< tls_socket_t > Class Reference

A custom socket storage for tls_socket_t. More...

`#include <tls.hpp>`

## Protected Member Functions
template<typename Settings >
| socket_supplier_t (Settings &settings, asio_ns::io_context &io_context)
virtual | ~socket_supplier_t ()=default
tls_socket_t & | socket (std::size_t idx)
auto | move_socket (std::size_t idx)
auto | concurrent_accept_sockets_count () const
| The number of sockets that can be used for cuncurrent accept operations. More...

## Private Attributes
std::shared_ptr< asio_ns::ssl::context > | m_tls_context
asio_ns::io_context & | m_io_context
std::vector< tls_socket_t > | m_sockets

## Detailed Description

A custom socket storage for tls_socket_t.

Definition at line 353 of file tls.hpp.

## Constructor & Destructor Documentation

## ◆ socket_supplier_t()

template<typename Settings >

restinio::impl::socket_supplier_t< tls_socket_t >::socket_supplier_t | ( | Settings & | settings,
|  | asio_ns::io_context & | io_context
| ) |  |
| inline protected

Definition at line 357 of file tls.hpp.

## ◆ ~socket_supplier_t()

virtual restinio::impl::socket_supplier_t< tls_socket_t >::~socket_supplier_t | ( |  | ) |
| protected virtual default

## Member Function Documentation

## ◆ concurrent_accept_sockets_count()

auto restinio::impl::socket_supplier_t< tls_socket_t >::concurrent_accept_sockets_count | ( |  | ) | const
| inline protected

The number of sockets that can be used for cuncurrent accept operations.

Definition at line 394 of file tls.hpp.

## ◆ move_socket()

auto restinio::impl::socket_supplier_t< tls_socket_t >::move_socket | ( | std::size_t | idx | ) |
| inline protected

Parameters

  idx | Index of a socket in the pool.

Definition at line 382 of file tls.hpp.

## ◆ socket()

tls_socket_t & restinio::impl::socket_supplier_t< tls_socket_t >::socket | ( | std::size_t | idx | ) |
| inline protected

Parameters

  idx | Index of a socket in the pool.

Definition at line 374 of file tls.hpp.

## Member Data Documentation

## ◆ m_io_context

asio_ns::io_context& restinio::impl::socket_supplier_t< tls_socket_t >::m_io_context
| private

Definition at line 401 of file tls.hpp.

## ◆ m_sockets

std::vector< tls_socket_t > restinio::impl::socket_supplier_t< tls_socket_t >::m_sockets
| private

Definition at line 402 of file tls.hpp.

## ◆ m_tls_context

std::shared_ptr< asio_ns::ssl::context > restinio::impl::socket_supplier_t< tls_socket_t >::m_tls_context
| private

Definition at line 400 of file tls.hpp.

The documentation for this class was generated from the following file:

- restinio/tls.hpp